\begin{description}
  \item[elf\_alias(name1, name2)] ~ \\
	Defines an alias {\it name2} for the symbol {\em name1}.
	It should be used in the file where the symbol {\em name1}
	is defined.
  \item[weak\_alias(name1, name2)] ~ \\
	Defines a weak alias {\it name2} for the symbol {\em name1}.
	The linker will use {\it name1} to resolve the reference
	to {\em name2} only if {\em name2} is not defined
	anywhere else.
	It should also be used in the file where the symbol {\em name1}
	is defined.
  \item[elf\_set\_element(set, symbol)] ~ \\
	Forces {\it symbol} becomes an element of {\it set}. A new
	section is created for each {\it set}.
  \item[symbol\_set\_declare (set)] ~ \\
	Declares {\it set} for use in this module. It actually
	decalres two symbols:

	\begin{itemize}
	  \item A symbol for the start of {\it set}. \\
	  \verb5extern void *const __start_5{\it set}.
	  \item A symbol for the end of {\it set}. \\
	  \verb5extern void *const __stop_5{\it set}.
	\end{itemize}
  \item[symbol\_set\_first\_element(set)] ~ \\
	Returns a pointer {\tt (void *const *)} to the first element of
	{\it set}.
  \item[symbol\_set\_end\_p(set, ptr)] ~ \\
	Returns true if and only if {\it ptr} (a {\tt void *const *})
	has been incremented past the last element in {\it set}.
\end{description}
